searchData={"items":[{"type":"module","title":"Nested","doc":"Library to work with nested maps\nElixir reimplementation of Erlang library [nested](https://github.com/odo/nested)","ref":"Nested.html"},{"type":"function","title":"Nested.append/3","doc":"Appends value to List at key path.\n\n  iex> Nested.append(%{\"test\" => \"rest\", \"rest\" => [1]},[\"rest\"],2)\n  %{\"rest\" => [1, 2], \"test\" => \"rest\"}","ref":"Nested.html#append/3"},{"type":"function","title":"Nested.append/4","doc":"Appends value to List at key path.\nIf key not found at path, add key and append value to default List provided\nSimilar to Python's defaultdict\n\n  iex> Nested.append(%{\"test\" => \"rest\", \"rest\" => [1]},[\"xest\"],2,[])\n  %{\"rest\" => [1], \"test\" => \"rest\", \"xest\" => [2]}\n\n  iex> Nested.append(%{\"test\" => \"rest\", \"rest\" => [1]},[\"rest\"],2,[])\n  %{\"rest\" => [1, 2], \"test\" => \"rest\"}","ref":"Nested.html#append/4"},{"type":"function","title":"Nested.delete/2","doc":"","ref":"Nested.html#delete/2"},{"type":"function","title":"Nested.fetch/2","doc":"","ref":"Nested.html#fetch/2"},{"type":"function","title":"Nested.fetch!/2","doc":"","ref":"Nested.html#fetch!/2"},{"type":"function","title":"Nested.get/2","doc":"","ref":"Nested.html#get/2"},{"type":"function","title":"Examples - Nested.get/2","doc":"iex> Nested.get(%{test: :rest}, [:test] )\n    :rest\n\n    iex> %{test: :rest} |> Nested.get([:test])\n    :rest\n\n    iex> Nested.get(%{}, [:a])\n    nil \n\n    iex> Nested.get(%{a: %{b: 1}}, [:a,:b])\n    1\n    \n    iex> Nested.get(%{a: %{b: 1}}, [:a,:c])\n    nil\n    \n    iex> Nested.get(%{a: %{b: 1}}, [:c], 3)\n    3","ref":"Nested.html#get/2-examples"},{"type":"function","title":"Nested.get/3","doc":"","ref":"Nested.html#get/3"},{"type":"function","title":"Nested.has_key?/2","doc":"","ref":"Nested.html#has_key?/2"},{"type":"function","title":"Nested.keys/2","doc":"","ref":"Nested.html#keys/2"},{"type":"function","title":"Nested.put/3","doc":"","ref":"Nested.html#put/3"},{"type":"function","title":"Nested.update/4","doc":"","ref":"Nested.html#update/4"},{"type":"function","title":"Nested.update!/3","doc":"","ref":"Nested.html#update!/3"}],"content_type":"text/markdown"}